> For the complete documentation index, see [llms.txt](https://docs.spydra.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.spydra.app/developers/api-reference/asset-tokenization/graphql/simple-queries.md).

# Simple queries

These queries fetch an asset with the specified fields. Use the [Asset Type](/products-overview/private-network/asset-tokenization/asset-types.md) you have defined as the object in the query. For e.g. to get all assets of type car, execute the below query.&#x20;

{% code fullWidth="false" %}

```graphql
query {
    car{
        Id
        make
        color
    }
}
```

{% endcode %}

Response:

```json
{
    "data": {
        "car_count": 2,
        "car": [
            {
                "Id": "car1",
                "make": "ford",
                "color": "red"
            },
            {
                "Id": "car2",
                "make": "chysler"
                "color": "white"
            }
        ]
    }
}
```

### Simple condition

&#x20;Specify a simple condition by including a key, value pair as an argument to the Asset Type. For e.g. the below query gets all car assets which have red color.

```graphql
query {
    car (color: "red"){
        Id
        make
        color
    }
}
```

Response:

```json
{
    "data": {
        "car_count": 1,
        "car": [
            {
                "Id": "car1",
                "make": "ford",
                "color": "red"
            }
        ]
    }
}
```

### Multiple conditions

Specify multiple conditions by including multiple comma separated key, value pairs as an argument to the Asset Type. When you specify multiple conditions like this, the conditions are combined using the "and" operator. For e.g. get all car assets where color is red **and** make is ford.

```graphql
query {
    car (color: "red", make: "ford"){
        Id
        make
        color
    }
}
```

Response:

```json
{
    "data": {
        "car_count": 1,
        "car": [
            {
                "Id": "car1",
                "make": "ford",
                "color": "red"
            }
        ]
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.spydra.app/developers/api-reference/asset-tokenization/graphql/simple-queries.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
